bm::bv_arena_statistics Struct Reference
BitMagic Library » bvector<> container

Structure with statistical information about memory allocation for arena based vectors. More...

`#include <bmfunc.h>`

## Public Member Functions

void | reset () BMNOEXCEPT
| Reset statisctics.
size_t | get_alloc_size () const BMNOEXCEPT
| Get allocation size in bytes.

## Data Fields

size_t | bit_blocks_sz
| Total size of bit blocks.
size_t | gap_blocks_sz
| Total size of gap blocks.
size_t | ptr_sub_blocks_sz
| Total size of sub-blocks ptrs.
unsigned | top_block_size
| size of top descriptor

## Detailed Description

Structure with statistical information about memory allocation for arena based vectors.

Definition at line 120 of file bmfunc.h.

## Member Function Documentation

## get_alloc_size()

size_t bm::bv_arena_statistics::get_alloc_size | ( |  | ) | const

inline

Get allocation size in bytes.

Definition at line 134 of file bmfunc.h.

References bm::gap_len_table_min< T >::_len, bit_blocks_sz, BMNOEXCEPT, gap_blocks_sz, ptr_sub_blocks_sz, and top_block_size.

## reset()

void bm::bv_arena_statistics::reset | ( |  | ) |

inline

Reset statisctics.

Definition at line 128 of file bmfunc.h.

References bit_blocks_sz, BMNOEXCEPT, gap_blocks_sz, ptr_sub_blocks_sz, and top_block_size.

## Field Documentation

## bit_blocks_sz

size_t bm::bv_arena_statistics::bit_blocks_sz

Total size of bit blocks.

Definition at line 122 of file bmfunc.h.

Referenced by get_alloc_size(), and reset().

## gap_blocks_sz

size_t bm::bv_arena_statistics::gap_blocks_sz

Total size of gap blocks.

Definition at line 123 of file bmfunc.h.

Referenced by get_alloc_size(), and reset().

## ptr_sub_blocks_sz

size_t bm::bv_arena_statistics::ptr_sub_blocks_sz

Total size of sub-blocks ptrs.

Definition at line 124 of file bmfunc.h.

Referenced by get_alloc_size(), and reset().

## top_block_size

unsigned bm::bv_arena_statistics::top_block_size

size of top descriptor

Definition at line 125 of file bmfunc.h.

Referenced by get_alloc_size(), and reset().

The documentation for this struct was generated from the following file:

- bmfunc.h